# This dockerfile is specific to building Multus for OpenShift
FROM openshift/golang-builder:rhel_8_golang_1.16 AS build
ENV __doozer=update BUILD_RELEASE=202112141153.p0.g187ad91.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.g187ad91.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=187ad91 OS_GIT_VERSION=4.8.0-202112141153.p0.g187ad91.assembly.stream-187ad91 SOURCE_DATE_EPOCH=1624337071 SOURCE_GIT_COMMIT=187ad91f119ff6b73610922012e7af4e704c5e93 SOURCE_GIT_TAG=187ad91 SOURCE_GIT_URL=https://github.com/openshift/multus-networkpolicy 

# Add everything
ADD . /usr/src/multi-networkpolicy-iptables
WORKDIR /usr/src/multi-networkpolicy-iptables
RUN go build ./cmd/multi-networkpolicy-iptables/

FROM openshift/ose-base:v4.8.0.20211214.120549
ENV __doozer=update BUILD_RELEASE=202112141153.p0.g187ad91.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.g187ad91.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=187ad91 OS_GIT_VERSION=4.8.0-202112141153.p0.g187ad91.assembly.stream-187ad91 SOURCE_DATE_EPOCH=1624337071 SOURCE_GIT_COMMIT=187ad91f119ff6b73610922012e7af4e704c5e93 SOURCE_GIT_TAG=187ad91 SOURCE_GIT_URL=https://github.com/openshift/multus-networkpolicy 
RUN dnf install -y iptables
COPY --from=build /usr/src/multi-networkpolicy-iptables/multi-networkpolicy-iptables /usr/bin
WORKDIR /usr/bin


ENTRYPOINT ["multi-networkpolicy-iptables"]

LABEL \
        io.k8s.display-name="Multus NetworkPolicy" \
        io.k8s.description="This is a component of OpenShift Container Platform and provides NetworkPolicy objects for secondary interfaces created with Multus CNI" \
        io.openshift.tags="openshift" \
        maintainer="Doug Smith <dosmith@redhat.com>" \
        name="openshift/ose-multus-networkpolicy" \
        com.redhat.component="ose-multus-networkpolicy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="multus" \
        release="202112141153.p0.g187ad91.assembly.stream" \
        io.openshift.build.commit.id="187ad91f119ff6b73610922012e7af4e704c5e93" \
        io.openshift.build.source-location="https://github.com/openshift/multus-networkpolicy" \
        io.openshift.build.commit.url="https://github.com/openshift/multus-networkpolicy/commit/187ad91f119ff6b73610922012e7af4e704c5e93" \
        version="v4.8.0"

